* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html,
body {
  overflow-x: hidden !important;
}

/* navbar  */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 60px;
  height: 100px;
  background-color: transparent;
  position: fixed;
  width: 100%;
  z-index: 999;
  transition: background-color 0.3s ease-in;
}

.navbar.scrolled {
  background-color: #000;
}

.navbar .navlinks {
  display: flex;
  gap: 40px;
}

.navbar .navlinks ul {
  padding-left: 0;
  display: flex;
  gap: 40px;
  align-items: center;
}

.navbar .navlinks ul li {
  list-style: none;
}

.navbar .navlinks ul li a {
  color: #fff;
  text-decoration: none;
  transition: all 0.3s ease;
}

.navbar .navlinks .navbutton {
  padding: 10px 30px;
  background-color: #6EE887;
  border: none;
  color: #000;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.navbar .navlinks .navbutton:hover {
  background-color: #4CA65E;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  width: 30px;
  height: 22px;
  justify-content: space-between;
}

.menu-toggle span {
  display: block;
  height: 2px;
  background-color: #fff;
  border-radius: 2px;
  transition: all 0.3s ease;
}

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  /* now full width */
  height: 100vh;
  background-color: #4CA65E;
  transform: translateX(100%);
  transition: transform 0.3s ease-in-out;
  z-index: 999;
  padding: 40px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.sidebar.active {
  transform: translateX(0);
}


.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar ul li {
  margin: 20px 0;
}

.close-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
  color: #333;
}

.sidebar ul li a {
  text-decoration: none;
  color: #fff;

}

.sidebar-btn {
  display: inline-block;
  margin-top: 20px;
  padding: 10px 15px;
  background: #000;
  color: #fff;
  text-align: center;
}

.navlinks a.active {
  color: #4CA65E !important;
  font-weight: 500;
}

.navlinks .navlinka:hover {
  background-color: #4CA65E;
  color: #000 !important;
  padding: 10px 30px;
  font-weight: 500 !important;
}

/* navbar  */
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background-color: #000;
}

.hero::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  z-index: 0;
}

.background-spline {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  object-fit: cover;
}

.logo-block {
  position: absolute;
  bottom: 10px;
  right: 10px;
  background-color: #000;
  width: 38%;
  height: 8%;
  z-index: 2;
}

.hero .background-video {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  object-fit: cover;
  z-index: 0;
}

.hero .hero-content {
  position: relative;
  z-index: 2;
  text-align: center;
  color: white;
  top: 50%;
  transform: translateY(-30%);
  padding: 0 200px;
}

.hero .hero-content h3 {
  text-transform: uppercase;
  font-weight: 400;
  font-size: 32px;
}

.hero .hero-content h1 {
  font-size: 50px;
  margin-bottom: 2.5rem;
  font-weight: 550;
  line-height: 55px;
}

.hero .hero-content p {
  font-size: 1.2rem;
  margin-bottom: 2rem;
  line-height: 29px;
  padding: 0 90px;
}

.hero .arrowbutton img {
  animation: fadeUpDown 2s ease-in-out infinite;
}

/* Animation Keyframes */
@keyframes fadeUpDown {

  0%,
  100% {
    transform: translateY(0);
    opacity: 1;
  }

  50% {
    transform: translateY(10px);
    opacity: 0.5;
  }
}

/* solving building  */
.solving-building {
  background-color: #F7F7F7;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.solving-building .leftside {
  width: 100%;
}

.solving-building .leftside img {
  width: 100%;
  filter: blur(2px);
  transition: filter 1.5s ease-in-out;
}
.solving-building .leftside[data-aos="fade-right"].aos-animate img {
  filter: blur(0);
}
.solving-building .rightside {
  width: 100%;
  padding: 0 50px;
}

.solving-building .rightside h2 {
  font-size: 50px;
  font-weight: 500;
  line-height: 60px;
}

.solving-building .rightside p {
  font-size: 20px;
  padding: 20px 0;
}

.solving-building .rightside .navbutton {
  background-color: #6EE887;
  font-size: 20px;
  color: #000;
  border: none;
  padding: 10px 30px;
  transition: all 0.3s ease-in;
}

.solving-building .rightside .navbutton:hover {
  background-color: #4CA65E;
}

/* End : solving building  */

/* our-solution */
.our-solution .our-solution-top {
  padding: 150px 90px;
  display: flex;
  align-items: center;
}

.our-solution .our-solution-top .leftside {
  width: 100%;
}

.our-solution .our-solution-top .rightside {
  width: 100%;
}

.our-solution .our-solution-top .leftside .maintitle h2 {
  color: #4CA65E;
  font-weight: 400;
  font-size: 25px;
}

.our-solution .our-solution-top .leftside .detail {
  line-height: 40px;
}

.our-solution .our-solution-top .leftside .details h2 {
  font-size: 50px;
  font-weight: 500;
  line-height: 60px;
}

.our-solution .our-solution-top .rightside p {
  font-size: 18px;
  padding: 8px 0;
}

.our-solutionsbottom {
  padding: 0 50px 150px;
}

.our-solutionsbottom .title {
  text-align: center;
  padding-bottom: 2rem;
}

.our-solutionsbottom .title h2 {
  font-weight: 500;
  text-transform: uppercase;
  font-size: 25px;
}

.our-solutionsbottom .solutions-card {
  display: flex;
  gap: 20px;
}

.our-solutionsbottom .solutions-card .cards {
  width: 100%;
}

.our-solutionsbottom .solutions-card .img {
  width: 100%;
  height:260px;
}

.our-solutionsbottom .solutions-card .img img {
  width: 100%;
  height:100%;
    filter: blur(2px);
  transition: filter 1.5s ease, opacity 1.5s ease;
}
.our-solutionsbottom[data-aos="fade-up"].aos-animate .img img {
  filter: blur(0);
  opacity: 1;
}
.our-solutionsbottom .solutions-card .card-content {
  padding: 20px;
}

.our-solutionsbottom .solutions-card .card-content .cardtitle h2 {
  font-weight: 450;
  color: #4CA65E;
  line-height: 30px;
  padding-bottom: 15px;
}

.our-solutionsbottom .solutions-card .card-content .desc p {
  font-size: 16px;
}

/* End :our-solution */

/* why dwellinx  */
.why-dwellinx-section {
  display: flex;
  align-items: center;
  justify-content: space-between;

  background:
    linear-gradient(to right, rgba(255, 255, 255, 0.838) 0%, rgba(255, 255, 255, 0.8) 40%, rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 70%),
    url('../images/why/Why.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center right;
  padding: 150px 80px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.why-dwellinx-section .content {
  max-width: 600px;
  z-index: 2;
}

.why-dwellinx-section .whyimg {
  display: none;
}

.why-dwellinx-section .content h4 {
  color: #5fb561;
  font-weight: 400;
  font-size: 25px;
  margin-bottom: 10px;
}

.why-dwellinx-section .content h1 {
  font-size: 50px;
  line-height: 60px;
  font-weight: 500;
}

.why-dwellinx-section .content .para {
  font-size: 16px;
  line-height: 1.6;
  padding: 15px 0;
}

/* why dwellinx  */
/* Sustainability */
.Sustainability .Sustainability-top {
  padding: 150px 90px 50px;
  display: flex;
  align-items: center;
  gap: 30px;
}

.Sustainability .Sustainability-top .leftside {
  width: 100%;
}

.Sustainability .Sustainability-top .rightside {
  width: 100%;
}

.Sustainability .Sustainability-top .leftside .maintitle h2 {
  color: #4CA65E;
  font-weight: 400;
  font-size: 25px;
  text-transform: uppercase;
  padding-bottom: 10px;
}

.Sustainability .Sustainability-top .leftside .details h2 {
  font-weight: 500;
  font-size: 50px;
  line-height: 60px;
}

.Sustainability .Sustainability-top .rightside p {
  font-size: 17px;
  padding: 8px 0;
}

.Sustainability-bottom {
  padding: 0 50px 150px;
}

.Sustainability-bottom .title {
  text-align: center;
  padding-bottom: 2rem;
}

.Sustainability-bottom .title h2 {
  font-weight: 500;
  text-transform: uppercase;
  font-size: 25px;
}

.Sustainability-bottom .featurescard {
  display: flex;
  gap: 20px;

}

.Sustainability-bottom .featurescard .cards:nth-child(odd) {
  width: 100%;
  background-color: #E2E2E2;
  padding: 30px 20px;
  transition: all 0.3s ease-in;
}

.Sustainability-bottom .featurescard .cards:nth-child(odd):hover {
  background-color: #4CA65E;
  color: #fff;

}

.Sustainability-bottom .featurescard .cards:nth-child(1):hover img {
  content: url('../images/sustainability/001-light.png');
}

.Sustainability-bottom .featurescard .cards:nth-child(3):hover img {
  content: url('../images/sustainability/003-light.png');
}

.Sustainability-bottom .featurescard .cards:nth-child(even) {
  width: 100%;
  background-color: #4CA65E;
  padding: 30px 20px;
  color: #fff;
}

.Sustainability-bottom .featurescard .cards:nth-child(even):hover {
  width: 100%;
  background-color: #E2E2E2;
  color: #000;
  transition: all 0.3s ease-in;
}

.Sustainability-bottom .featurescard .cards:nth-child(2):hover img {
  content: url('../images/sustainability/002-dark.png');
}

.Sustainability-bottom .featurescard .cards:nth-child(4):hover img {
  content: url('../images/sustainability/004-dark.png');
}

.Sustainability-bottom .featurescard .cards img {
  width: 70px;
}

.Sustainability-bottom .featurescard .cards .content {
  padding-top: 80px;
}

.Sustainability-bottom .featurescard .cards .content h2 {
  font-weight: 500;
  padding: 0 50px 15px 0;
}

.Sustainability-bottom .featurescard .cards .content p {
  font-size: 17px;
}

/* Sustainability */

/* about section  */
.about-us {
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
  /* or space-evenly */
  background:
    linear-gradient(to left, rgba(255, 255, 255, 0.838) 0%, rgba(255, 255, 255, 0.8) 40%, rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 70%),
    url('../images/about/About.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  padding: 150px 80px;
  width: 100%;
  box-sizing: border-box;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}


.about-us .content {
  max-width: 600px;
  z-index: 2;
}

.about-us .whyimg {
  display: none;
}

.about-us .content h4 {
  color: #5fb561;
  font-weight: 400;
  font-size: 25px;
  margin-bottom: 10px;
  text-transform: uppercase;
}

.about-us .content h1 {
  font-size: 50px;
  line-height: 60px;
  font-weight: 500;
}

.about-us .content .para {
  font-size: 16px;
  line-height: 1.6;
  padding: 15px 0;
}


/* about section  */

/* contact us  */
.contact-us {
  background-color: #2B292A;
  color: #fff;
  display: flex;
  padding: 150px 90px;
  gap: 100px;
}

.contact-us .leftside {
  width: 70%;
}

.contact-us .rightside {
  width: 100%;
}

.contact-us .leftside h2 {
  font-size: 38px;
  font-weight: 500;
  line-height: 50px;
  padding-bottom: 10px;
}

.contact-us .leftside p {
  font-size: 15px;
}

.contact-us .rightside .firstrow {
  display: flex;
  gap: 20px;
  padding: 15px 0;
}

.contact-us .rightside .firstrow .inputs {
  width: 100%;
}

.contact-us .rightside .firstrow .inputs label {
  display: block;
  font-weight: 400;
  font-size: 16px;
}

.contact-us .rightside .firstrow .inputs input {
  width: 100%;
  padding: 10px 20px;
  background-color: transparent;
  border: none;
  color: #fff;
  border-bottom: 1px solid #FEFFFF;
}

.contact-us .rightside .firstrow .inputs input:focus {
  outline: none;
}

.contact-us .rightside .firstrow .inputs textarea {
  width: 100%;
  padding: 10px 20px;
  background-color: transparent;
  border: none;
  border: 1px solid #FEFFFF;
  margin-top: 18px;
  color: #fff;
}

.contact-us .rightside .button {
  width: 100%;
}

.contact-us .rightside .button input {
  width: 100%;
  padding: 8px 20px;
  font-size: 17px;
  background-color: #6EE887;
  color: #000;
  border: none;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.contact-us .rightside .button input:hover {
  background-color: #4CA65E;
}

/* contact us  */

/* footer  */
.footersection {
  background-color: #4CA65E;
  padding: 150px 50px;
  display: flex;
  justify-content: space-between;
}

.footersection .logo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.footersection .logo p {
  color: #fff;
}

.footersection .contacts {
  display: flex;
  gap: 100px;
}

.footersection .contacts .follow h2 {
  color: #fff;
  text-transform: uppercase;
  font-size: 20px;
  padding-bottom: 10px;
}

.footersection .contacts .follow a {
  display: block;
  color: #fff;
  text-decoration: none;
  font-size: 15px;
  padding-bottom: 5px;
}

.footersection .contacts .follow a:last-child {
  padding-bottom: 0;
}

.footersection .contacts .follow p {
  color: #fff;
  font-size: 15px;
}

/* footer  */

/* scroll top  */
.scroll-top {
  position: fixed;
  bottom: 30px;
  right: 30px;
  background: #4CA65E;
  color: #fff;
  font-size: 20px;
  padding: 10px 15px;
  cursor: pointer;
  display: none;
  /* hidden by default */
  z-index: 9;
  transition: opacity 0.3s ease;
  width: 45px;
  height: 45px;
  display: none;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease;
}

.scroll-top:hover {
  background-color: #5fb561;
}

.scroll-top img {
  width: 30px;
}

/* scroll top  */
.desktop{
    display:flex;
}
.mobile{
    display:none;
}
.contact-us .rightside .firstrow .inputs textarea:focus {
  outline: none;
}